## List Custom Origin Trust Store Details `client.ACM.CustomTrustStore.List(ctx, params) (*V4PagePaginationArray[CustomTrustStore], error)` **get** `/zones/{zone_id}/acm/custom_trust_store` Get Custom Origin Trust Store for a Zone. ### Parameters - `params CustomTrustStoreListParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Limit param.Field[int64]` Query param: Limit to the number of records returned. - `Offset param.Field[int64]` Query param: Offset the results - `Page param.Field[float64]` Query param: Page number of paginated results. - `PerPage param.Field[float64]` Query param: Number of records per page. ### Returns - `type CustomTrustStore struct{…}` - `ID string` Identifier. - `Certificate string` The zone's SSL certificate or certificate and the intermediate(s). - `ExpiresOn Time` When the certificate expires. - `Issuer string` The certificate authority that issued the certificate. - `Signature string` The type of hash used for the certificate. - `Status CustomTrustStoreStatus` Status of the zone's custom SSL. - `const CustomTrustStoreStatusInitializing CustomTrustStoreStatus = "initializing"` - `const CustomTrustStoreStatusPendingDeployment CustomTrustStoreStatus = "pending_deployment"` - `const CustomTrustStoreStatusActive CustomTrustStoreStatus = "active"` - `const CustomTrustStoreStatusPendingDeletion CustomTrustStoreStatus = "pending_deletion"` - `const CustomTrustStoreStatusDeleted CustomTrustStoreStatus = "deleted"` - `const CustomTrustStoreStatusExpired CustomTrustStoreStatus = "expired"` - `UpdatedAt Time` When the certificate was last modified. - `UploadedOn Time` When the certificate was uploaded to Cloudflare. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/acm" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.ACM.CustomTrustStore.List(context.TODO(), acm.CustomTrustStoreListParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "certificate": "-----BEGIN CERTIFICATE-----\nMIIDdjCCAl6gAwIBAgIJAPnMg0Fs+/B0MA0GCSqGSIb3DQEBCwUAMFsx...\n-----END CERTIFICATE-----\n", "expires_on": "2122-10-29T16:59:47Z", "issuer": "GlobalSign", "signature": "SHA256WithRSA", "status": "active", "updated_at": "2014-01-01T05:20:00Z", "uploaded_on": "2014-01-01T05:20:00Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```